public inbox for git-commits@fedoraproject.org
help / color / mirror / Atom feed
From: Stepan Broz <sbroz@redhat.com>
To: git-commits@fedoraproject.org
Subject: [tests/selinux] pr775-checkpolicy-revdeps: systemd-machined-and-similar: Adjust subtest relevancies
Date: Fri, 11 Sep 2026 13:22:47 GMT [thread overview]
Message-ID: <178913296794.1.1131846452737153904.tests-selinux-79e1779579b2@fedoraproject.org> (raw)
A new commit has been pushed.
Repo : tests/selinux
Branch : pr775-checkpolicy-revdeps
Commit : 79e1779579b262639169cffee3cf0d7e18e2af7c
Author : Stepan Broz <sbroz@redhat.com>
Date : 2025-05-13T07:47:38+00:00
Stats : +3/-1 in 1 file(s)
URL : https://src.fedoraproject.org/tests/selinux/c/79e1779579b262639169cffee3cf0d7e18e2af7c?branch=pr775-checkpolicy-revdeps
Log:
systemd-machined-and-similar: Adjust subtest relevancies
- Do not test "RHEL-76352-RHEL-77087-RHEL-78088" on RHEL-9.5 or below
- Do not test "RHEL-85379-RHEL-86528" on RHEL-9.6 or below
---
diff --git a/selinux-policy/systemd-machined-and-similar/runtest.sh b/selinux-policy/systemd-machined-and-similar/runtest.sh
index 87bd723..688629f 100755
--- a/selinux-policy/systemd-machined-and-similar/runtest.sh
+++ b/selinux-policy/systemd-machined-and-similar/runtest.sh
@@ -114,13 +114,15 @@ rlJournalStart
rlPhaseEnd
fi
- if ! rlIsRHEL 8 && ! rlIsCentOS 8 ; then
+ if ! rlIsRHEL "<9.6" && ! rlIsCentOS 8 ; then
rlPhaseStartTest "RHEL-76352 + RHEL-77087 + RHEL-78088"
rlSESearchRule "allow systemd_machined_t unconfined_service_t : dir { search } [ ]"
rlSESearchRule "allow systemd_machined_t unconfined_service_t : file { getattr open read ioctl } [ ]"
rlSESearchRule "allow systemd_machined_t systemd_machined_t : cap_userns { kill } [ ]"
rlPhaseEnd
+ fi
+ if ! rlIsRHEL "<9.7" && ! rlIsCentOS 8 ; then
rlPhaseStartTest "RHEL-85379 + RHEL-86528"
rlSESearchRule "allow system_dbusd_t systemd_machined_var_lib_t : dir { read } [ ]"
rlPhaseEnd
reply other threads:[~2026-09-11 13:22 UTC|newest]
Thread overview: [no followups] expand[flat|nested] mbox.gz Atom feed
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=178913296794.1.1131846452737153904.tests-selinux-79e1779579b2@fedoraproject.org \
--to=sbroz@redhat.com \
--cc=git-commits@fedoraproject.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox